* GUT, J.A.W. Programao Matemtica para Otimizao de Processos. EDUSP 2021.
* https://sites.usp.br/otimizacao/
***** Problema de seleo ********************************
***** Declarao de variveis *****************************
FREE VARIABLE f;
POSITIVE VARIABLE Ac, A2, A3, B, B2, B3, Bc, C, C1, Cc;
BINARY VARIABLE y1, y2, y3;
***** Declarao de equaes ******************************
EQUATION h0, h1, h2, h3, h4, h5, h6, h7, g1, g2, g3, g4, g5;
***** Equaes ********************************************
h0.. F - (3.5*y1 + 2.0*C1) - (1.0*y2 + 1.0*B2) - (1.5*y3 + 1.2*B3)
       - (1.8*Ac + 7.0*Bc + 13.0*Cc) =E= 0;
h1.. Ac - A2 - A3 =E= 0;
h2.. B - Bc - B2 - B3 =E= 0;
h3.. C - Cc - C1 =E= 0;
h4.. C1 - 0.9*B =E= 0;
h5.. B2 - 1.0*LOG(1+A2) =E= 0;
h6.. B3 - 1.3*LOG(1+A3) =E= 0;
h7.. C - 1.2 =E= 0;
g1.. C1 - 2*y1 =L= 0;
g2.. B2 - 4*y2 =L= 0;
g3.. B3 - 5*y3 =L= 0;
g4.. y2 - y1 =L= 0;
g5.. y3 - y1 =L= 0;
***** Soluo do problema *********************************
MODEL selecao /ALL/ ;
SOLVE selecao USING MINLP MINIMAZING f;
***********************************************************
